scala.tools.nsc.transform.patmat.MatchTranslation.MatchTranslator

# BoundTree

#### final case class BoundTree(binder: Global.Symbol, tree: Global.Tree) extends Product with Serializable

Source
  MatchTranslation.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BoundTree
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BoundTree(binder: Global.Symbol, tree: Global.Tree)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BoundTree to any2stringadd[BoundTree] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (BoundTree, B)

   Implicit information
     This member is added by an implicit conversion from BoundTree to ArrowAssoc[BoundTree] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object SymbolAndTypeBound

7. #### object TypeBound

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### val binder: Global.Symbol

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensureConformsTo(paramType: Global.Type): Boolean

12. #### def ensuring(cond: (BoundTree) ⇒ Boolean, msg: ⇒ Any): BoundTree

    Implicit information
      This member is added by an implicit conversion from BoundTree to Ensuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (BoundTree) ⇒ Boolean): BoundTree

    Implicit information
      This member is added by an implicit conversion from BoundTree to Ensuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): BoundTree

    Implicit information
      This member is added by an implicit conversion from BoundTree to Ensuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): BoundTree

    Implicit information
      This member is added by an implicit conversion from BoundTree to Ensuring[BoundTree] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from BoundTree to StringFormat[BoundTree] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def glbWith(other: Global.Type): Global.Type

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def nextStep(): TranslationStep

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def pos: Global.Position

27. #### def pt: Global.Type

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      BoundTree → AnyRef → Any

30. #### def tpe: Global.Type

31. #### def translate(): List[MatchTranslator.TreeMaker]

32. #### val tree: Global.Tree

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): (BoundTree, B)

    Implicit information
      This member is added by an implicit conversion from BoundTree to ArrowAssoc[BoundTree] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from BoundTree to any2stringadd[BoundTree]

### Inherited by implicit conversion StringFormat from BoundTree to StringFormat[BoundTree]

### Inherited by implicit conversion Ensuring from BoundTree to Ensuring[BoundTree]

### Inherited by implicit conversion ArrowAssoc from BoundTree to ArrowAssoc[BoundTree]

### Ungrouped